#
# spec file for package flamerobin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires
Name:           flamerobin
Version:        0.9.2
Release:        28.3
Summary:        Graphical client for Firebird
License:        MIT and LGPL-2.1+
Group:          Productivity/Databases/Tools
Url:            http://www.flamerobin.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Patch0:         flamerobin-0.9.2-wxWindowListNode.patch
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libfbclient2-devel >= 2.0.0.12748
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel >= 2.8
Requires(post): update-desktop-files
Requires(postun): update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q -n %{name}-%{version}-src
%patch0

%build
export CFLAGS="%{optflags} -fpermissive"
export CXXFLAGS="$CFLAGS"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -f %{buildroot}/%{_datadir}/pixmaps/%{name}.png
cp -f ./res/%{name}.xpm %{buildroot}/%{_datadir}/%{name}/%{name}.xpm
sed	"s@Categories=Development;Database;GTK@Categories=System;Database;@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
sed	"s@Icon=%{_datadir}/pixmaps/flamerobin.png@Icon=%{_datadir}/%{name}/%{name}.xpm@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
mv %{buildroot}%{_datadir}/applications/%{name}.desktop $RPM_SOURCE_DIR/%{name}.desktop
%suse_update_desktop_file -i -n %{name} System Database
rm -rf %{buildroot}%{_datadir}/%{name}/docs

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}

%changelog
* Fri Jul  3 2015 mpluskal@suse.com
- Cleanup spec file with spec-clener
- Update desktop file scriplet dependencies
* Tue May 22 2012 mkubecek@suse.cz
- adjust BuildRequires for Firebird 2.5 packages
* Thu Dec 15 2011 cfarrell@suse.com
- license update: MIT and LGPL-2.1+
  See the Readme - mostly MIT (including the IBPP) but some icons are
  LGPL-2.1+
* Thu Dec  8 2011 coolo@suse.com
- "BSD" is not a valid spdx.org license
* Tue Oct  4 2011 mhrusecky@suse.cz
- Adding '-fpermissive' to fix build on Factory
* Wed Dec 29 2010 sbrabec@suse.cz
- Compile with wxWidgets (STL variant).
* Fri Jul  3 2009 mhrusecky@suse.cz
- Fixed build with wxUSE_STL enabled
* Tue Jun 30 2009 makowski@firebird-fr.eu.org
- First OpenSuse build
* Sun Apr 12 2009 makowski@firebird-fr.eu.org
- First Fedora build
- New upstream: 0.9.2
* Tue Mar 24 2009 makowski@firebird-fr.eu.org
- Update to 0.9.0
- First mipsel build
* Thu Jul 24 2008 tvignaud@mandriva.com
  + Revision: 245195
- rebuild
* Thu Jan 31 2008 mrl@mandriva.com
  + Revision: 160873
- New upstream: 0.8.3
  + Olivier Blin <oblin@mandriva.com>
  - restore BuildRoot
  + Thierry Vignaud <tvignaud@mandriva.com>
  - kill re-definition of %%%%buildroot on Pixel's request
* Thu Oct 18 2007 mrl@mandriva.com
  + Revision: 99959
- Fix configure permission.
- New upstream: 0.8.1
- New upstream: 0.8.0
* Tue May 15 2007 mrl@mandriva.com
  + Revision: 26964
- Rebuilt against new wx stuff.
* Wed Dec 20 2006 waschk@mandriva.org
  + Revision: 100700
- rebuild
* Mon Nov 27 2006 mrl@mandriva.com
  + Revision: 87367
- New upstream: 0.7.6
- Added menu icon.
* Thu Nov 16 2006 mrl@mandriva.com
  + Revision: 84903
- Added BuildRequires for ImageMagick: due to convert usage.
- Rebuilt against firebird 2.0 final.
* Thu Sep  7 2006 mrl@mandriva.com
  + Revision: 60258
- New upstream: 0.7.5
* Wed Sep  6 2006 mrl@mandriva.com
  + Revision: 59989
- Removed old-style menu entry. The new one (.desktop) will be added later.
- Import flamerobin
* Sat Sep  2 2006 mrl@mandriva.com
- Fixed BuildRequires.
- Removed hardcoded buildrequires to libraries: they should be automatic.
- Enhanced package description.
* Thu Aug 24 2006 makowski@firebird-fr.eu.org
- change Requires to libfirebird2
